<?php

require_once "XmlScreen.php";

class XmlMenuScreen extends XmlScreen
{

    public $xw;

    public function __construct()
    {
        parent::__construct('SnomIPPhoneMenu');
    }

    public function addMenuItem($name, $url, $select = false)
    {
        $this->xw->startElement('MenuItem');
        $this->xw->writeAttribute('sel', $select); // if true, the entry will automated select
        $this->xw->writeElement('Name', $name);
        $this->xw->writeElement('URL', $url);
        $this->xw->endElement();
    }
}
